# eric7.EricXML.TasksReader

Module implementing a class for reading an XML tasks file.

### Global Attributes

None

### Classes

TasksReader | Class for reading an XML tasks file.

### Functions

None

## TasksReader

Class for reading an XML tasks file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

TasksReader | Constructor
__readTask | Private method to read the task info.
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### TasksReader (Constructor)

TasksReader(device, forProject=False, viewer=None)

Constructor

device
  reference to the I/O device to read from (QIODevice)
forProject
  flag indicating project related mode (boolean)
viewer
  reference to the task viewer (TaskViewer)

#### TasksReader.__readTask

__readTask()

Private method to read the task info.

#### TasksReader.readXML

readXML()

Public method to read and parse the XML document.

Up